Package com.sun.jna

## Class WString

- java.lang.Object
- - com.sun.jna.WString

All Implemented Interfaces:
  `java.lang.CharSequence`, `java.lang.Comparable`

    public final class WString
    extends java.lang.Object
    implements java.lang.CharSequence, java.lang.Comparable

Simple wrapper class to identify a wide string argument or return type.

Author:
  twall@users.sf.net

### Constructor Summary

Constructors
`WString​(java.lang.String s)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `charAt​(int index)`
`int` `compareTo​(java.lang.Object o)`
`boolean` `equals​(java.lang.Object o)`
`int` `hashCode()`
`int` `length()`
`java.lang.CharSequence` `subSequence​(int start, int end)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Constructor Detail

#### WString

    public WString​(java.lang.String s)

### Method Detail

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in interface `java.lang.CharSequence`
Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo​(java.lang.Object o)

Specified by:
  `compareTo` in interface `java.lang.Comparable`

#### length

    public int length()

Specified by:
  `length` in interface `java.lang.CharSequence`

#### charAt

    public char charAt​(int index)

Specified by:
  `charAt` in interface `java.lang.CharSequence`

#### subSequence

    public java.lang.CharSequence subSequence​(int start,
                                              int end)

Specified by:
  `subSequence` in interface `java.lang.CharSequence`